Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class ServerInfo

    java.lang.Object
      org.linuxsampler.lscp.ServerInfo

All Implemented Interfaces:
  Parseable

    public final class ServerInfo

extends java.lang.Object
implements Parseable

Provides general information about LinuxSampler instance.

Constructor Summary
`ServerInfo(java.lang.String[] resultSet)` Creates a new instance of `ServerInfo` and parses the information described by `resultSet`.

Method Summary
`java.lang.String` | `getDescription()` Gets description about the sampler.
`java.lang.String` | `getProtocolVersion()` Gets the version of the LSCP protocol.
`java.lang.String` | `getVersion()` Gets the version of the sampler.
`boolean` | `hasInstrumentsDbSupport()` Determines whether the backend is build with instruments database support.
`boolean` | `parse(java.lang.String s)` Parses a line of text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerInfo

    public ServerInfo(java.lang.String[] resultSet)

  Creates a new instance of `ServerInfo` and parses the information described by `resultSet`.

  Parameters:
    `resultSet` - An array with information categories about a sampler.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Gets description about the sampler.

  Returns:
    Description about the sampler.

### getVersion

    public java.lang.String getVersion()

  Gets the version of the sampler.

  Returns:
    The version of the sampler.

### getProtocolVersion

    public java.lang.String getProtocolVersion()

  Gets the version of the LSCP protocol.

  Returns:
    The version of the LSCP protocol.

### hasInstrumentsDbSupport

    public boolean hasInstrumentsDbSupport()

  Determines whether the backend is build with instruments database support.

### parse

    public boolean parse(java.lang.String s)

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.